Bug 842024 - [abrt] eog-3.4.1-2.fc17: g_hash_table_remove_all_nodes: Process /usr/bin/eog was killed by signal 11 (SIGSEGV)
[abrt] eog-3.4.1-2.fc17: g_hash_table_remove_all_nodes: Process /usr/bin/eog ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
abrt_hash:f83faa1cd70b0531c0daca44623...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 19:03 EDT by Tobias Mueller
Modified: 2013-07-31 22:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:03:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.38 KB, text/plain)
2012-07-20 19:03 EDT, Tobias Mueller
no flags Details
File: maps (45.37 KB, text/plain)
2012-07-20 19:03 EDT, Tobias Mueller
no flags Details
File: dso_list (8.47 KB, text/plain)
2012-07-20 19:03 EDT, Tobias Mueller
no flags Details

  None (edit)
Description Tobias Mueller 2012-07-20 19:03:16 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        eog /home/muelli/Pictures/2011-Dublin/20110319_007.jpg
comment:        Browsed through photos I think i clicked quickly
crash_function: g_hash_table_remove_all_nodes
executable:     /usr/bin/eog
kernel:         3.4.4-3.fc17.x86_64
pid:            14800
pwd:            /home/muelli
time:           Fr 20 Jul 2012 20:48:30 CEST
uid:            1000
username:       muelli

backtrace:      Text file, 25994 bytes
dso_list:       Text file, 8678 bytes
maps:           Text file, 46462 bytes

build_ids:
:0b637b8e4ce3e055becd045ed1cdbbe72679e253
:8b33feb27b2125997520fdd21c90c42a65e438f1
:faca16f15d87b83d2947a386e319b02f724dcbb5
:54a5cc118d928470da13565de8592b664a9868e0
:4c9c864a7c7b7ed702088955821d58137803462d
:b6d75088f555d197be1476cb1c580640826ae029
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:f534feded388130df4a9e789eec1e38c320bc55b
:5dd234206476b0387cd251598aa72a2c95c763c5
:81b3fb6be6f4b0769c050cb69a1e587bd5fd4c06
:75752da7b5f30bdb8c3241f27d3fa22a35364fbe
:b277af36744327e3d58eae76bcdaadcca71a28c6
:a625841a963b5765aa9c0b4f827a8235f2697ccc
:d5e977da28190ea2d50bbbc05236006d62a595f4
:d804f8ee47797da9213a92f00cd095ecada8d79f
:710b0d8cc36603d66327090defd37c99daa38f28
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:247132297f287226a24c12e683292f5c94013066
:31243d0d107bba586a96433c76c87a26db1e826c
:253afe744466fe7580bbb6040de6183dba9e2b02
:f64b7319b84d426ed547084bdb2577f4f596c18f
:1aa43ff20e0f535bf9c54d0a6b96b66653cd3ae7
:42675a8ad8f70ff19362070510cdf1ba202a70db
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:508cf66f72e70054a41215f80ed2385c6bb80030
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:67792c148d2b8f13f6732c9367e926c26d7376c5
:516204cfc31148538d56b21e2f1b945ed50127d4
:63651cdc0224824a9c9324c77c3b5887378e871d
:a6a94447f1fe9f7ed09f1118cdd836ab58926e56
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:deeaf4a78c255afae1cf7c01b620b1415198090d
:73777e822e00ca152ffca281ab0ace0cb498ec48
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:5b7cdec9dba117156a6e5568a103fb5b44087566
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:cff9c805f2385233aab4890dfac8453c52bd760f
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:99c23b21038c62b0628b93610fb54c5900c40ffd
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:4b044fe80e4c1b69986abc4b160c303048005d4e
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:8883675a02b466547a122a9117742c5771456644
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:8f7c190397d7c1f617e66f18f759714662b60367
:1a0c09f270adf8398df4362ce0acfafc1f970982
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/muelli/5

core_backtrace:
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x37277 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x380e1 g_hash_table_remove_all libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x3814e g_hash_table_destroy libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2b1f7b gtk_widget_path_unref libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a09b1 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x145db g_object_unref libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x298ee0 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2994ed - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2993f2 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2993f2 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2993f2 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2993f2 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2993f2 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x29d191 gtk_ui_manager_ensure_update libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x29d209 - libgtk-3.so.0 -
:deeaf4a78c255afae1cf7c01b620b1415198090d 0x35540 - [exe] -
:deeaf4a78c255afae1cf7c01b620b1415198090d 0x35d67 - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:deeaf4a78c255afae1cf7c01b620b1415198090d 0x2447c - [exe] -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47ad4 g_main_context_iteration libglib-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x97dec g_application_run libgio-2.0.so.0 -
:deeaf4a78c255afae1cf7c01b620b1415198090d 0x1d5fc main [exe] -

environ:
:LC_PAPER=de_DE.utf8
:XDG_VTNR=1
:LC_ADDRESS=de_DE.utf8
:XDG_SESSION_ID=5
:HOSTNAME=bigbox
:LC_MONETARY=de_DE.utf8
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=1f0b1dd00463efa5e536a1ef48f433dc-1341655286.489270-1899791230
:LC_NUMERIC=de_DE.utf8
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/muelli/keyring-vY8Iz1
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=muelli
:LC_TELEPHONE=de_DE.utf8
:USERNAME=muelli
:MAIL=/var/spool/mail/muelli
:PATH=/home/muelli/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=gnome
:LC_MESSAGES=en_US.utf8
:QT_IM_MODULE=xim
:LC_COLLATE=de_DE.utf8
:LC_IDENTIFICATION=de_DE.utf8
:PWD=/home/muelli
:XMODIFIERS=@im=none
:EDITOR=nano
:KDE_IS_PRELINKED=1
:LANG=de_DE.utf8
:GNOME_KEYRING_PID=1529
:KDEDIRS=/usr
:LC_MEASUREMENT=de_DE.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/muelli
:SHLVL=1
:LOGNAME=muelli
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:VISUAL=nano
:LC_CTYPE=de_DE.utf8
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-EPBwAm2YTB,guid=cafe9b81a12860475a0c168c00000110
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/muelli
:DISPLAY=:0.0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:LC_TIME=de_DE.utf8
:CCACHE_HASHDIR=
:LC_NAME=de_DE.utf8
:XAUTHORITY=/var/run/gdm/auth-for-muelli-t6UpfX/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1534,unix/unix:/tmp/.ICE-unix/1534
:GPG_AGENT_INFO=/run/user/muelli/keyring-vY8Iz1/gpg:0:1
:SSH_AUTH_SOCK=/run/user/muelli/keyring-vY8Iz1/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-eog.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=14800
:DESKTOP_STARTUP_ID=nautilus-30044-bigbox-eog-5_TIME469673080

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63718                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63718                63718                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/muelli/.xsession-errors
:pos:	6661905
:flags:	0102002
:2:/home/muelli/.xsession-errors
:pos:	6661905
:flags:	0102002
:3:socket:[112973338]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[112970562]
:pos:	0
:flags:	02004002
:8:socket:[112973350]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:Jul 20 20:48:30 bigbox kernel: [469703.987376] eog[14800] general protection ip:3126e37277 sp:7fff50eaec60 error:0 in libglib-2.0.so.0.3200.3[3126e00000+11d000]
:Jul 20 20:48:32 bigbox abrt[14820]: Saved core dump of pid 14800 (/usr/bin/eog) to /var/spool/abrt/ccpp-2012-07-20-20:48:30-14800 (97951744 bytes)
Comment 1 Tobias Mueller 2012-07-20 19:03:21 EDT
Created attachment 599471 [details]
File: backtrace
Comment 2 Tobias Mueller 2012-07-20 19:03:23 EDT
Created attachment 599472 [details]
File: maps
Comment 3 Tobias Mueller 2012-07-20 19:03:25 EDT
Created attachment 599473 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 19:23:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 22:03:10 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.